## tellico 2.3.8+dfsg.1

=== doc/CMakeLists.txt ===
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(nl)
add_subdirectory(pt)
add_subdirectory(uk)
add_subdirectory(sv)
add_subdirectory(en_US)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(ca)
