=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
		-DKDE4_BUILD_TESTS=false \
		-DENABLE_WEBCAM=false

override_dh_shlibdeps:
	dh_shlibdeps -- -xkdepim-runtime

override_dh_compress:
	dh_compress -Xkde
