=== debian/changelog ===
tellico (2.3.8+dfsg.2-1ubuntu1) utopic; urgency=medium

  * Build without nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jul 2014 17:24:17 +0200

tellico (2.3.8+dfsg.2-1) unstable; urgency=low

  * Repack the upstream source further to remove sourceless jquery.js.
    Closes: #736786.
  * Enable parallel building. Thanks Pino Toscano. Closes: #721029.
  * Take patch cdb95d17 from upstream git. Closes: #729499.
  * Bump Stadards-Version to 3.9.5. No other change needed.

 -- Regis Boudin <regis@debian.org>  Sat, 01 Mar 2014 15:05:27 +0100
