=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tellico
 Section: kde
 Priority: optional
-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-config, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.7), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev (>=4:4.7), libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, shared-desktop-ontologies, libqjson-dev
-Standards-Version: 3.9.4
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
+Build-Depends: debhelper (>= 9), cmake, pkg-config, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.7), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev (>=4:4.7), libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, libqjson-dev
+Standards-Version: 3.9.5
 Homepage: http://tellico-project.org/
 Vcs-Git: git://anongit.kde.org/tellico.git
