## tellico 2.3.9%2Bdfsg.1

=== debian/watch ===
# watch control file for uscan
#version=3
#http://tellico-project.org/files/tellico-(.*).tar.gz
