## tellico 2.3.9+dfsg.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(Tellico)
-set(TELLICO_VERSION "2.3.8")
+set(TELLICO_VERSION "2.3.9")
 
 cmake_minimum_required(VERSION 2.6.2)
 
@@ -186,6 +186,7 @@
 install(PROGRAMS tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES tellico.xml DESTINATION  ${XDG_MIME_INSTALL_DIR})
 install(FILES x-tellico.desktop DESTINATION ${MIME_INSTALL_DIR}/application)
+install(FILES tellico.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata )
 
 if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
     macro_display_feature_log()
