=== xslt/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,6 @@
     tellico-common.xsl
     tellico-printing.xsl
     thegamesdb2tellico.xsl
-    tmdb2tellico.xsl
     UNIMARC2MODS3.xsl
     vhs-logo.png
     vinoxml2tellico.xsl
