=== debian/changelog ===
tellico (2.3.9+dfsg.1-1) unstable; urgency=low

  * New upstream release.
    + Patch cdb95d17 is now included, drop it.
    + CVS parsing update. Closes: #729503.
  * Bump Stadards-Version to 3.9.6. No other change needed.

 -- Regis Boudin <regis@debian.org>  Sat, 18 Oct 2014 12:40:17 +0200
