=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
 
 %:
-	dh $@ --with kde
+	dh $@ --with kde --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure --buildsystem=kde -- \
+	dh_auto_configure --buildsystem=kde --parallel -- \
 		-DKDE4_BUILD_TESTS=false \
 		-DENABLE_WEBCAM=false
